/**
 * 对uni交互方法进行二次封装
 */

export function showToast(title: string, options: UniApp.ShowToastOptions = {}) {
  return new Promise((resolve, reject) => {
    uni.showToast({
      title,
      duration: 2000,
      icon: 'none',
      ...options,
      success(res) {
        resolve(res)
      },
      fail(error) {
        reject(error)
      },
    })
  })
}
// 校验规则
export const regular = {
  phone: /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/,
  // 身份证 id ，支持 15,18 位
  idCard:
    /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}$)/,
}
